{% extends "base.html.jinja" %}

{% block content %}
  <div class="d-flex align-items-center">
    <main class="py-5 m-100 m-auto" style="max-width: 500px">
      <form
        action="./check-xdf2/report"
        method="POST"
        enctype="multipart/form-data"
      >
        <legend class="text-center">XDF2 Qualitätscheck</legend>
        <p>
          Der Check überprüft die hochgeladene Schemadatei auf qualitative
          Mängel.
        </p>

        <div class="mb-3">
          <label for="schema">Schemadatei auswählen:</label>

          <input
            class="form-control"
            name="schema"
            type="file"
            accept="text/xml"
            required
          />
        </div>

        <button class="btn btn-primary w-100 py-2 mt-3" type="submit">
          Check
        </button>
      </form>
    </main>
  </div>
{% endblock %}
